Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charvax.swing
Class JPasswordField

    java.lang.Object
      charva.awt.Component
          charvax.swing.JComponent
              charvax.swing.text.JTextComponent
                  charvax.swing.JTextField
                      charvax.swing.JPasswordField

public class JPasswordField
extends JTextField

JPassword allows the editing of a single line of text; it indicates that something was typed, but does not display the characters that were typed. The JPasswordField class, being a subclass of JComponent, has a setBorder() method which allows an optional Border to be set.

Field Summary

Fields inherited from class charvax.swing.JTextField
`_actionListeners, _bold, _columns, _offset, _padding`

Fields inherited from class charvax.swing.text.JTextComponent
`_caretPosition, _document, _editable`

Fields inherited from class charvax.swing.JComponent
`_border`

Fields inherited from class charva.awt.Component
`_alignmentX, _alignmentY, _background, _cursesColor, _enabled, _focusListeners, _foreground, _keyListeners, _origin, _parent, _visible, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`JPasswordField()`
`JPasswordField(int length_)` Use this constructor when you want to leave the text field empty but set its length.
`JPasswordField(java.lang.String text_)` Use this constructor when you want to initialize the value.
`JPasswordField(java.lang.String text_, int length_)` Use this constructor when you want to set both the initial value and the length.

Method Summary
`void` | `debug(int level_)`
`void` | `draw()` Called by this JPasswordField's parent container.
`boolean` | `echoCharIsSet()` Get the flag which indicates whether the echo character has been set.
`char` | `getEchoChar()` Get the echo character for this text field.
`char[]` | `getPassword()` Returns the password value as an array of chars.
`java.lang.String` | `getText()` Deprecated. Replaced by getpassword()
`void` | `setEchoChar(char echochar_)` Set the echo character for this password field.
`java.lang.String` | `toString()` Returns a String representation of this component.

Methods inherited from class charvax.swing.JTextField
`addActionListener, getActionCommand, getColumns, getHeight, getSize, getWidth, isEditable, minimumSize, postActionEvent, processEvent, processKeyEvent, processMouseEvent, requestFocus, setActionCommand, setBounds, setBounds, setBounds, setColumns, setEditable, setFont, setText`

Methods inherited from class charvax.swing.text.JTextComponent
`getCaretPosition, getDocument, setCaretPosition, setDocument`

Methods inherited from class charvax.swing.JComponent
`getBorder, getInsets, setBorder`

Methods inherited from class charva.awt.Component
`addFocusListener, addKeyListener, contains, contains, getAlignmentX, getAlignmentY, getAncestorWindow, getBackground, getBounds, getCursesColor, getForeground, getLocation, getLocationOnScreen, getName, getParent, hasFocus, hide, invalidate, isDisplayed, isEnabled, isFocusTraversable, isTotallyObscured, isValid, isVisible, processFocusEvent, repaint, requestSync, setBackground, setEnabled, setForeground, setLocation, setLocation, setName, setParent, setVisible, show, validate, validateCursesColor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JPasswordField

    public JPasswordField()

### JPasswordField

    public JPasswordField(java.lang.String text_)

  Use this constructor when you want to initialize the value.

### JPasswordField

    public JPasswordField(int length_)

  Use this constructor when you want to leave the text field empty but set its length.

### JPasswordField

    public JPasswordField(java.lang.String text_,
                          int length_)

  Use this constructor when you want to set both the initial value and the length.

Method Detail

### setEchoChar

    public void setEchoChar(char echochar_)

  Set the echo character for this password field.

### getEchoChar

    public char getEchoChar()

  Get the echo character for this text field.

### echoCharIsSet

    public boolean echoCharIsSet()

  Get the flag which indicates whether the echo character has been set.

### getText

    public java.lang.String getText()

  Deprecated. Replaced by getpassword()

  Overrides:
    `getText` in class `JTextComponent`

### getPassword

    public char[] getPassword()

  Returns the password value as an array of chars.

### draw

    public void draw()

  Called by this JPasswordField's parent container.

  Overrides:
    `draw` in class `JTextField`

### toString

    public java.lang.String toString()

  Returns a String representation of this component.

  Overrides:
    `toString` in class `JTextField`

### debug

    public void debug(int level_)

  Overrides:
    `debug` in class `JTextField`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD